# coding: utf-8

"""
    Form Service API

    A list of form and Xaas APIs.  This page describes the RESTful APIs for Form Service. The APIs facilitate CRUD operations on the various resources and entities used throughout Form service (Custom Resource , Form Definition etc.) and allow operations on them (creating custom resource type , fetch form status etc.).  Some of the APIs that list collections of resources also support OData like implementation. Below query params can be used across Form and XaaS entities.  Example:  1. `$orderby` - returns a result with the rows being sorted by the values of provided attribute.      ```/form-service/api/custom/resource-types?$orderby=name%20DESC```  2. `page`, `size` - page used in conjunction with `size` helps in pagination of resources.      ```/form-service/api/custom/resource-types?page=0&size=20```   # noqa: E501

    OpenAPI spec version: 1.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class PageFormAndVersionSearchResultContent(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'form_id': 'str',
        'form_name': 'str',
        'source_type': 'str',
        'imported': 'bool',
        'version_id': 'str',
        'version_name': 'str',
        'display_name': 'str',
        'form': 'FormDefinitionVersionForm',
        'styles': 'str'
    }

    attribute_map = {
        'form_id': 'formId',
        'form_name': 'formName',
        'source_type': 'sourceType',
        'imported': 'imported',
        'version_id': 'versionId',
        'version_name': 'versionName',
        'display_name': 'displayName',
        'form': 'form',
        'styles': 'styles'
    }

    def __init__(self, form_id=None, form_name=None, source_type=None, imported=None, version_id=None, version_name=None, display_name=None, form=None, styles=None):  # noqa: E501
        """PageFormAndVersionSearchResultContent - a model defined in Swagger"""  # noqa: E501
        self._form_id = None
        self._form_name = None
        self._source_type = None
        self._imported = None
        self._version_id = None
        self._version_name = None
        self._display_name = None
        self._form = None
        self._styles = None
        self.discriminator = None
        if form_id is not None:
            self.form_id = form_id
        if form_name is not None:
            self.form_name = form_name
        if source_type is not None:
            self.source_type = source_type
        if imported is not None:
            self.imported = imported
        if version_id is not None:
            self.version_id = version_id
        if version_name is not None:
            self.version_name = version_name
        if display_name is not None:
            self.display_name = display_name
        if form is not None:
            self.form = form
        if styles is not None:
            self.styles = styles

    @property
    def form_id(self):
        """Gets the form_id of this PageFormAndVersionSearchResultContent.  # noqa: E501


        :return: The form_id of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :rtype: str
        """
        return self._form_id

    @form_id.setter
    def form_id(self, form_id):
        """Sets the form_id of this PageFormAndVersionSearchResultContent.


        :param form_id: The form_id of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :type: str
        """

        self._form_id = form_id

    @property
    def form_name(self):
        """Gets the form_name of this PageFormAndVersionSearchResultContent.  # noqa: E501


        :return: The form_name of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :rtype: str
        """
        return self._form_name

    @form_name.setter
    def form_name(self, form_name):
        """Sets the form_name of this PageFormAndVersionSearchResultContent.


        :param form_name: The form_name of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :type: str
        """

        self._form_name = form_name

    @property
    def source_type(self):
        """Gets the source_type of this PageFormAndVersionSearchResultContent.  # noqa: E501


        :return: The source_type of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :rtype: str
        """
        return self._source_type

    @source_type.setter
    def source_type(self, source_type):
        """Sets the source_type of this PageFormAndVersionSearchResultContent.


        :param source_type: The source_type of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :type: str
        """

        self._source_type = source_type

    @property
    def imported(self):
        """Gets the imported of this PageFormAndVersionSearchResultContent.  # noqa: E501


        :return: The imported of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :rtype: bool
        """
        return self._imported

    @imported.setter
    def imported(self, imported):
        """Sets the imported of this PageFormAndVersionSearchResultContent.


        :param imported: The imported of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :type: bool
        """

        self._imported = imported

    @property
    def version_id(self):
        """Gets the version_id of this PageFormAndVersionSearchResultContent.  # noqa: E501


        :return: The version_id of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :rtype: str
        """
        return self._version_id

    @version_id.setter
    def version_id(self, version_id):
        """Sets the version_id of this PageFormAndVersionSearchResultContent.


        :param version_id: The version_id of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :type: str
        """

        self._version_id = version_id

    @property
    def version_name(self):
        """Gets the version_name of this PageFormAndVersionSearchResultContent.  # noqa: E501


        :return: The version_name of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :rtype: str
        """
        return self._version_name

    @version_name.setter
    def version_name(self, version_name):
        """Sets the version_name of this PageFormAndVersionSearchResultContent.


        :param version_name: The version_name of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :type: str
        """

        self._version_name = version_name

    @property
    def display_name(self):
        """Gets the display_name of this PageFormAndVersionSearchResultContent.  # noqa: E501


        :return: The display_name of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :rtype: str
        """
        return self._display_name

    @display_name.setter
    def display_name(self, display_name):
        """Sets the display_name of this PageFormAndVersionSearchResultContent.


        :param display_name: The display_name of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :type: str
        """

        self._display_name = display_name

    @property
    def form(self):
        """Gets the form of this PageFormAndVersionSearchResultContent.  # noqa: E501


        :return: The form of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :rtype: FormDefinitionVersionForm
        """
        return self._form

    @form.setter
    def form(self, form):
        """Sets the form of this PageFormAndVersionSearchResultContent.


        :param form: The form of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :type: FormDefinitionVersionForm
        """

        self._form = form

    @property
    def styles(self):
        """Gets the styles of this PageFormAndVersionSearchResultContent.  # noqa: E501


        :return: The styles of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :rtype: str
        """
        return self._styles

    @styles.setter
    def styles(self, styles):
        """Sets the styles of this PageFormAndVersionSearchResultContent.


        :param styles: The styles of this PageFormAndVersionSearchResultContent.  # noqa: E501
        :type: str
        """

        self._styles = styles

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(PageFormAndVersionSearchResultContent, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, PageFormAndVersionSearchResultContent):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
